Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.teleal.cling.binding.annotations
Class AnnotationLocalServiceBinder

    java.lang.Object
      org.teleal.cling.binding.annotations.AnnotationLocalServiceBinder

All Implemented Interfaces:
  LocalServiceBinder

    public class AnnotationLocalServiceBinder

extends Object
implements LocalServiceBinder

Constructor Summary
`AnnotationLocalServiceBinder()`

Method Summary
`DeviceService` | `read(Class<?> clazz)`
`DeviceService` | `read(Class<?> clazz, ServiceId id, ServiceType type, boolean supportsQueryStateVariables, Class[] stringConvertibleTypes)`
`DeviceService` | `read(Class<?> clazz, ServiceId id, ServiceType type, boolean supportsQueryStateVariables, Set<Class> stringConvertibleTypes)`
`protected Map<Action,ActionExecutor>` | `readActions(Class<?> clazz, Map<StateVariable,StateVariableAccessor> stateVariables, Set<Class> stringConvertibleTypes)`
`protected ServiceManager` | `readServiceManager(Class<?> clazz)`
`protected Map<StateVariable,StateVariableAccessor>` | `readStateVariables(Class<?> clazz, Set<Class> stringConvertibleTypes)`
`protected Set<Class>` | `readStringConvertibleTypes(Class[] declaredTypes)`
`static String` | `toJavaActionName(String upnpName)`
`static String` | `toJavaStateVariableName(String upnpName)`
`static String` | `toUpnpActionName(String javaName)`
`static String` | `toUpnpStateVariableName(String javaName)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AnnotationLocalServiceBinder

    public AnnotationLocalServiceBinder()

Method Detail

### read

    public DeviceService read(Class<?> clazz)
                       throws LocalServiceBindingException

  Specified by:
    `read` in interface `LocalServiceBinder`
  Throws:
    `LocalServiceBindingException`

### read

    public DeviceService read(Class<?> clazz,
                              ServiceId id,
                              ServiceType type,
                              boolean supportsQueryStateVariables,
                              Class[] stringConvertibleTypes)
                       throws LocalServiceBindingException

  Specified by:
    `read` in interface `LocalServiceBinder`
  Throws:
    `LocalServiceBindingException`

### read

    public DeviceService read(Class<?> clazz,
                              ServiceId id,
                              ServiceType type,
                              boolean supportsQueryStateVariables,
                              Set<Class> stringConvertibleTypes)
                       throws LocalServiceBindingException

  Throws:
    `LocalServiceBindingException`

### readStringConvertibleTypes

    protected Set<Class> readStringConvertibleTypes(Class[] declaredTypes)
                                             throws LocalServiceBindingException

  Throws:
    `LocalServiceBindingException`

### readStateVariables

    protected Map<StateVariable,StateVariableAccessor> readStateVariables(Class<?> clazz,
                                                                          Set<Class> stringConvertibleTypes)
                                                                   throws LocalServiceBindingException

  Throws:
    `LocalServiceBindingException`

### readActions

    protected Map<Action,ActionExecutor> readActions(Class<?> clazz,
                                                     Map<StateVariable,StateVariableAccessor> stateVariables,
                                                     Set<Class> stringConvertibleTypes)
                                              throws LocalServiceBindingException

  Throws:
    `LocalServiceBindingException`

### readServiceManager

    protected ServiceManager readServiceManager(Class<?> clazz)

### toUpnpStateVariableName

    public static String toUpnpStateVariableName(String javaName)

### toJavaStateVariableName

    public static String toJavaStateVariableName(String upnpName)

### toUpnpActionName

    public static String toUpnpActionName(String javaName)

### toJavaActionName

    public static String toJavaActionName(String upnpName)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 Teleal GmbH, Switzerland. All Rights Reserved.